<?php

namespace XenGenTr\XGTOnekSistemi\Option;

use XF\Entity\Option;
use XF\Option\AbstractOption;

class xgtOnekler extends AbstractOption
{
	public static function renderOption(\XF\Entity\Option $option, array $htmlParams)
	{
		$secimler = [];
		
		foreach ($option->option_value AS $onekler)
		{
			$secimler[] = [
				'onekAdi' => is_string($onekler['onekAdi']) ? $onekler['onekAdi'] : '',
                'onekIkon' => is_string($onekler['onekIkon']) ? $onekler['onekIkon'] : '',
				'onekAp' => is_string($onekler['onekAp']) ? $onekler['onekAp'] : '',
				'onekMetin' => is_string($onekler['onekMetin']) ? $onekler['onekMetin'] : '',
				'onekikonAp' => is_string($onekler['onekikonAp']) ? $onekler['onekikonAp'] : '',
				'onekikonMetin' => is_string($onekler['onekikonMetin']) ? $onekler['onekikonMetin'] : '',

			];
		}

		return self::getTemplate('admin:option_template_xgtOnekSistemi', $option, $htmlParams, [
			'secimler' => $secimler,
			'nextCounter' => count($secimler)
		]);
	}

	public static function verifyOption(array &$values)
	{

		$output = [];

		foreach ($values AS $onekler)
		{
			if (!isset($onekler['onekAdi']) || !isset($onekler['onekAp']) || !isset($onekler['onekMetin']) || !isset($onekler['onekIkon']) || !isset($onekler['onekikonAp']) || !isset($onekler['onekikonMetin']))
			{
				continue;
			}

			$cache = self::buildOnekCacheValue($onekler['onekAdi'], $onekler['onekAp'], $onekler['onekMetin'], $onekler['onekIkon'], $onekler['onekikonAp'], $onekler['onekikonMetin']);
			if ($cache)
			{
				$output[] = $cache;
			}
		}

		$values = $output;

		return true;
	}

	public static function buildOnekCacheValue($onekAdi, $onekAp, $onekMetin, $onekIkon, $onekikonAp, $onekikonMetin)
	{
		$onekAdi = trim(strval($onekAdi));

		if (preg_match('/[^a-zA-Z0-9_]/', $onekAdi))
		{
		    return false;
		}

		$onekIkon = is_int($onekIkon) ? '' : trim(strval($onekIkon));
		$onekAp = is_int($onekAp) ? '' : trim(strval($onekAp));
		$onekMetin = is_int($onekMetin) ? '' : trim(strval($onekMetin));
		$onekikonAp = is_int($onekikonAp) ? '' : trim(strval($onekikonAp));
		$onekikonMetin = is_int($onekikonMetin) ? '' : trim(strval($onekikonMetin));

		$onekAdiFind = $onekAdi;

		if (!strlen($onekAdiFind))
		{
			return false;
		}

		return [
			'onekAdi' => $onekAdi,
			'onekIkon' => $onekIkon,
			'onekAp' => $onekAp,
			'onekMetin' => $onekMetin,
			'onekikonAp' => $onekikonAp,
			'onekikonMetin' => $onekikonMetin,

		];
	}
}